"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_node_1 = require("@essential-projects/http_node");
const async_middleware_1 = require("async-middleware");
class SwaggerRouter extends http_node_1.BaseRouter {
    constructor(swaggerController) {
        super();
        this.swaggerController = swaggerController;
    }
    get baseRoute() {
        return 'api/consumer/v1';
    }
    async initializeRouter() {
        this.registerRoutes();
    }
    registerRoutes() {
        const controller = this.swaggerController;
        this.router.get('/swagger', async_middleware_1.wrap(controller.getSwaggerJson.bind(controller)));
    }
}
exports.SwaggerRouter = SwaggerRouter;
//# sourceMappingURL=swagger_router.js.map